import { RouterView } from 'vue-router';

export default {
    path: '/account',
    name: 'Account',
    meta: {
        title: 'users',
        icon: 'face',
        moduleName: 'Account',
    },
    component: RouterView,
    redirect: { name: 'AccountMain' },
    menus: {
        main: ['AccountList', 'AccountAliasList', 'AccountRoles', 'AccountAcls'],
        card: [],
    },
    children: [
        {
            path: '',
            name: 'AccountMain',
            component: () => import('src/pages/Account/AccountMain.vue'),
            redirect: { name: 'AccountList' },
            children: [
                {
                    path: 'list',
                    name: 'AccountList',
                    meta: {
                        title: 'list',
                        icon: 'view_list',
                    },
                    component: () => import('src/pages/Account/AccountList.vue'),
                },
                {
                    path: 'alias-list',
                    name: 'AccountAliasList',
                    meta: {
                        title: 'alias',
                        icon: 'email',
                    },
                    component: () => import('src/pages/Account/AccountAliasList.vue'),
                },
                {
                    path: 'acls',
                    name: 'AccountAcls',
                    meta: {
                        title: 'acls',
                        icon: 'check',
                    },
                    component: () => import('src/pages/Account/AccountAcls.vue'),
                },
                {
                    path: 'acl-form',
                    name: 'AccountAclForm',
                    component: () => import('src/pages/Account/Acls/AclFormView.vue'),
                },
                {
                    path: 'role-list',
                    name: 'AccountRoles',
                    meta: {
                        title: 'roles',
                        icon: 'group',
                    },
                    component: () => import('src/pages/Account/Role/AccountRoles.vue'),
                },
            ],
        },
    ],
};
